Curation partners API is an externally available HTTP API for curators to programmatically manage their data segments and curated packages used by ad agencies.

- [REST Resource: v1.curators.curatedPackages](https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest#v1.curators.curatedPackages)
- [REST Resource: v1.curators.dataSegments](https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest#v1.curators.dataSegments)
- [REST Resource: v1.curators.reports](https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest#v1.curators.reports)
- [REST Resource: v1.curators.reports.operations](https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest#v1.curators.reports.operations)
- [REST Resource: v1.curators.reports.results](https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest#v1.curators.reports.results)
- [REST Resource: v1.mediaPlanners](https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest#v1.mediaPlanners)

## Service: curationpartners.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://curationpartners.googleapis.com/$discovery/rest?version=v1>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://curationpartners.googleapis.com`

## REST Resource: [v1.curators.curatedPackages](https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest/v1/curators.curatedPackages)

| Methods ||
|---|---|
| `https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest/v1/curators.curatedPackages/activate` | `POST /v1/{name=curators/*/curatedPackages/*}:activate` Activates an existing curated package. |
| `https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest/v1/curators.curatedPackages/create` | `POST /v1/{parent=curators/*}/curatedPackages` Creates a new curated package. |
| `https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest/v1/curators.curatedPackages/deactivate` | `POST /v1/{name=curators/*/curatedPackages/*}:deactivate` Deactivates an existing curated package. |
| `https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest/v1/curators.curatedPackages/get` | `GET /v1/{name=curators/*/curatedPackages/*}` Gets a curated package given its resource name. |
| `https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest/v1/curators.curatedPackages/list` | `GET /v1/{parent=curators/*}/curatedPackages` Lists curated packages owned by the specified curator. |
| `https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest/v1/curators.curatedPackages/patch` | `PATCH /v1/{curatedPackage.name=curators/*/curatedPackages/*}` Updates an existing curated package. |

## REST Resource: [v1.curators.dataSegments](https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest/v1/curators.dataSegments)

| Methods ||
|---|---|
| `https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest/v1/curators.dataSegments/activate` | `POST /v1/{name=curators/*/dataSegments/*}:activate` Activates a data segment. |
| `https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest/v1/curators.dataSegments/create` | `POST /v1/{parent=curators/*}/dataSegments` Creates a data segment owned by the listed curator. |
| `https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest/v1/curators.dataSegments/deactivate` | `POST /v1/{name=curators/*/dataSegments/*}:deactivate` Deactivates a data segment. |
| `https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest/v1/curators.dataSegments/get` | `GET /v1/{name=curators/*/dataSegments/*}` Gets a data segment given its name. |
| `https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest/v1/curators.dataSegments/list` | `GET /v1/{parent=curators/*}/dataSegments` List the data segments owned by a curator. |
| `https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest/v1/curators.dataSegments/patch` | `PATCH /v1/{dataSegment.name=curators/*/dataSegments/*}` Updates a data segment. |

## REST Resource: [v1.curators.reports](https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest/v1/curators.reports)

| Methods ||
|---|---|
| `https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest/v1/curators.reports/create` | `POST /v1/{parent=curators/*}/reports` Creates a `Report` object. |
| `https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest/v1/curators.reports/delete` | `DELETE /v1/{name=curators/*/reports/*}` Deletes a `Report` object. |
| `https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest/v1/curators.reports/get` | `GET /v1/{name=curators/*/reports/*}` Retrieves a `Report` object. |
| `https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest/v1/curators.reports/list` | `GET /v1/{parent=curators/*}/reports` Lists `Report` objects. |
| `https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest/v1/curators.reports/patch` | `PATCH /v1/{report.name=curators/*/reports/*}` Updates a `Report` object. |
| `https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest/v1/curators.reports/run` | `POST /v1/{name=curators/*/reports/*}:run` Initiates the execution of an existing report asynchronously. |

## REST Resource: [v1.curators.reports.operations](https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest/v1/curators.reports.operations)

| Methods ||
|---|---|
| `https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest/v1/curators.reports.operations/get` | `GET /v1/{name=curators/*/reports/*/operations/*}` Gets the latest state of a long-running operation. |

## REST Resource: [v1.curators.reports.results](https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest/v1/curators.reports.results)

| Methods ||
|---|---|
| `https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest/v1/curators.reports.results/fetchRows` | `GET /v1/{name=curators/*/reports/*/results/*}:fetchRows` Returns the result rows from a completed report. |

## REST Resource: [v1.mediaPlanners](https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest/v1/mediaPlanners)

| Methods ||
|---|---|
| `https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest/v1/mediaPlanners/list` | `GET /v1/mediaPlanners` Lists all media planner accounts that the caller has access to. |
| `https://developers.google.com/authorized-buyers/curation/apis/curationpartners/reference/rest/v1/mediaPlanners/search` | `GET /v1/mediaPlanners:search` Searches for media planner accounts matching the given DSP seat ID. |